org.apache.thrift.transport

## Class TTransportFactory

- java.lang.Object
- - org.apache.thrift.transport.TTransportFactory

- Direct Known Subclasses:
    TFastFramedTransport.Factory, TFramedTransport.Factory, THttpClient.Factory, TSaslServerTransport.Factory

      public class TTransportFactory
      extends java.lang.Object

  Factory class used to create wrapped instance of Transports. This is used primarily in servers, which get Transports from a ServerTransport and then may want to mutate them (i.e. create a BufferedTransport from the underlying base transport)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TTransportFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TTransport` | `getTransport(TTransport trans)` Return a wrapped instance of the base Transport.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TTransportFactory

          public TTransportFactory()

  - ### Method Detail

    - #### getTransport

          public TTransport getTransport(TTransport trans)

      Return a wrapped instance of the base Transport.
      Parameters:
        `trans` - The base transport
      Returns:
        Wrapped Transport